Bug 28054 - python-univention-directory-manager sollte auf python-ipaddr dependen
python-univention-directory-manager sollte auf python-ipaddr dependen
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UDM (Generic)
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-1-errata
Assigned To: Johannes Keiser
Florian Best
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-24 15:41 CEST by Janis Meybohm
Modified: 2017-07-05 13:06 CEST (History)
2 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 1: Cosmetic issue or missing function but workaround exists
Who will be affected by this bug?: 1: Will affect a very few installed domains
How will those affected feel about the bug?: 1: Nuisance – not a big deal but noticeable
User Pain: 0.006
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional):
Max CVSS v3 score:
best: Patch_Available+


Attachments
patch (666 bytes, patch)
2016-09-24 15:40 CEST, Florian Best
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Janis Meybohm univentionstaff 2012-07-24 15:41:04 CEST
python-univention-directory-manager: /usr/share/pyshared/univention/admin/syntax.py importiert das Python Modul "ipaddr" daher sollte es auch eine entsprechende Abhängigkeit geben.
Comment 1 Florian Best univentionstaff 2016-09-24 15:40:41 CEST
Created attachment 8031 [details]
patch
Comment 2 Johannes Keiser univentionstaff 2017-07-04 17:37:40 CEST
(In reply to Florian Best from comment #1)
> Created attachment 8031 [details]
> patch

Applied patch:

r 80831
univention-directory-manager-modules (12.0.17-57) 
* Bug #28054: Applied patch from Florian Best - Add dependency to
python-ipaddr

YAML: r 80832
Comment 3 Florian Best univentionstaff 2017-07-04 18:03:03 CEST
OK: package now depends on python-ipaddr
OK: YAML (adjusted in r80833)
Comment 4 Janek Walkenhorst univentionstaff 2017-07-05 13:06:02 CEST
<http://errata.software-univention.de/ucs/4.2/79.html>